Package Details: abraca 0.7.1-5

Git Clone URL: https://aur.archlinux.org/abraca.git (read-only)
Package Base: abraca
Description: A GTK3 client for the XMMS2 music player, with a focus on collections
Upstream URL: http://abraca.github.com/Abraca/
Licenses: GPL
Submitter: None
Maintainer: jorge_barroso
Last Packager: jorge_barroso
Votes: 5
Popularity: 0.000000
First Submitted: 2009-08-28 11:22
Last Updated: 2015-06-15 19:25

Latest Comments

mandog commented on 2014-06-20 13:40

This package does not build for over a year come on sort out

aws commented on 2013-11-02 16:54

Since there is already an abraca-git AUR package, I would suggest using one of the released versions (latest at https://github.com/Abraca/Abraca/archive/0.7.1.zip) instead of the master tarball. This would also fix the problem that the build script no longer works because abraca switched from using scon to waf after the 0.7.1 release.

jorge_barroso commented on 2012-10-20 21:27

Ok all errors corrected and package rebuilt and uploaded, but, there's a problem, abraca now requires vala>=0.18.0 and in the repo's it's vala 0.16.0 so got to wait...

hi117 commented on 2012-10-16 20:38

Dependency changed from gtk2 to gtk3 in project's INSTALL file.

stefanwilkens commented on 2012-10-06 15:04

This fails to build at the moment:

Building: build/data/ui/abraca_ui.o
scons: *** [build/src/abraca.c] UserError `DEFINE <SCons.Node.FS.Dir object at 0xfa8bd0> is not a list, dict, string or None.' trying to evaluate `${_defines(VALAPKGPATHPREFIX, VALAPKGPATH, None, __env__)}'
scons: building terminated because of errors.

This isn't building because scons expects "python" to be python v2. Just change #! /usr/bin/env python to #! /usr/bin/env python2 on the first line of scons and it'll build just fine.

Anonymous comment on 2012-05-09 05:07

Project was moved to GitHub: http://abraca.github.com/Abraca/
Also version 0.7.0 has been released.

TuxLyn commented on 2011-10-30 01:11

Yeah, I have this following error. Even do required libraries was installed.

Libraries Installed:
scons-2.1.0-1 [looks like the problem here]
vala-0.14.0-1
libgee-0.6.2.1-1


scons: building associated VariantDir targets: build
Building: build/data/abraca_images.o
Building: build/data/ui/abraca_ui.o
scons: *** [build/src/abraca.c] UserError `DEFINE <SCons.Node.FS.Dir object at 0x2411910> is not a list, dict, string or None.' trying to evaluate `${_defines(VALAPKGPATHPREFIX, VALAPKGPATH, None, __env__)}'
scons: building terminated because of errors.
==> ERROR: A failure occurred in build().
Aborting...

Anonymous comment on 2011-03-17 14:44

Does not build for me. Beyond a lot of warnings I get:

build/src/coverart.vala:416.32-416.41: error: Argument 1: Cannot convert from `uint8[]' to `char[]?'
build/src/toolbar.vala:346.5-346.35: error: 1 extra arguments for `bool Gdk.PixbufLoader.write (uint8[] buf)'

And finally:
scons: *** [build/src/abraca.c] Error 1
scons: building terminated because of errors.
Aborting...
error: /usr/share/lua/5.1/clydelib/aur.lua:410: Build failed. makepkg returned 512